Subject: [TR] Oil Pressure in My TR6

From: Joe DeMuth <[email-masked]>
Date: Sun, 26 May 2013 11:02:55 -0500

Thanks all for the responses. When I wrote the original message I forgot to
mention that I had checked the thrust washers. I did look at the rocker shaft
and it appears to have been replaced by a previous owner with the bushed set
of rockers and a new shaft that Moss sells. The new oil pump from British
Northwest has given me about 10 lbs more pressure over the rpm range. Also the
screw sealing the rocker shaft oil galley was loose. I may have been loosing
some pressure there.

** [email-masked] **

Archive: http://www.team.net/archive